//  FmsDefaultController
//
//  Copyright 1994  Flying Monkey Software
//                  8424 Todd Creek Cr. WestChester OH 45069
//
//  This code is distributed as shareware. If you like it or use it, please
//  send an appropriate amount of money (ten dollars is suggested) to the
//  above address.
//
//  Modification is cool by us, as well as inclusion of this code in a
//  for-profit product in compiled form. However, Flying Monkey Software
//  retains all copyrights; you are hereby not given permission to resell
//  this code in code form without written consent of Flying Monkey.

#import <appkit/appkit.h>

#import "FmsDefs.h"

@interface FmsDefaultController:Object
	{
	char *database;
	List *defaultList;
	}

- init;
- free;
- registerDefaults;
- remove:(char *)name;

- (const char *)database;
- setDatabase:(const char *)theDatabase;

- default:(char *)name toStringValue:(char *)theString;
- (const char *)stringValue:(char *)name;
- setStringValue:(char *)name to:(const char *)theString;

- default:(char *)name toIntValue:(int)theInt;
- (int)intValue:(char *)name;
- (char *)convertIntValue:(int)theInt to:(char *)value;
- setIntValue:(char *)name to:(int)theInt;

- default:(char *)name toFloatValue:(float)theFloat;
- (float)floatValue:(char *)name;
- (char *)convertFloatValue:(float)theFloat to:(char *)value;
- setFloatValue:(char *)name to:(float)theFloat;

- default:(char *)name toPointValue:(NXPoint *)thePoint;
- (NXPoint *)get:(NXPoint *)point pointValue:(char *)name;
- (char *)convertPointValue:(NXPoint *)thePoint to:(char *)value;
- setPointValue:(char *)name to:(NXPoint *)thePoint;

- default:(char *)name toSizeValue:(NXSize *)theSize;
- (NXSize *)get:(NXSize *)size sizeValue:(char *)name;
- (char *)convertSizeValue:(NXSize *)theSize to:(char *)value;
- setSizeValue:(char *)name to:(NXSize *)theSize;

- default:(char *)name toRectValue:(NXRect *)theRect;
- (NXRect *)get:(NXRect *)rect rectValue:(char *)name;
- (char *)convertRectValue:(NXRect *)theRect to:(char *)value;
- setRectValue:(char *)name to:(NXRect *)theRect;

- default:(char *)name toColorValue:(NXColor)theColor;
- (NXColor)colorValue:(char *)name;
- (char *)convertColorValue:(NXColor)theColor to:(char *)value;
- setColorValue:(char *)name to:(NXColor)theColor;

@end